Subject: Re: [patch 1/3] softmac: return -EAGAIN from getscan while scanning

From: Johannes Berg <[email-masked]>
Date: Thu, 13 Apr 2006 11:06:16 +0200

On Thu, 2006-04-13 at 02:00 -0700, Pete Zaitcev wrote:

> This sounds completely wrong. Do you guys remember the Subject: string
> of this discussion by any chance?

Discussed offline at the wireless summit, sorry.

> It's very likely that tools do indeed loop when they see EAGAIN, but
> this is a workaround, not the main mode of operation. It seems obvious
> to me that the get method should wait until the scan results are
> available. Perhaps the discussion had a specific scenario where
> EAGAIN would make sense, but I cannot imagine what it might be.

Right, they do loop, but they don't have a method to indicate
completion. Thus we'd have to actually wait for the completion in the
kernel. Jean, what is the intended use here?

johannes